@import url('https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css');
@import url('https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css');
@import url('root.css');
@import url('./navbar.css');
@import url('./sidebar.css');
@import url('body.css');
@import url('./inputBox.css');
@import url('./RemixIcon_Fonts_v4.9.1/remixicon.css');
@import url('https://cdn.jsdelivr.net/npm/sweetalert2@11.26.25/dist/sweetalert2.min.css');
@import url('card.css');
@import url('artclelist.css');
@import url('button.css');
@import url('ann-navbar.css');

.dropdown-menu {
  position: absolute;
  top: 100%; /* 貼齊按鈕下緣 */
  right: 0; /* 靠右對齊 */
  left: auto; /* 蓋掉 Bootstrap 預設可能有的 left: 0 */
}

.navbar-announcement {
  position: fixed;
  top: 70px;
  left: 0;
  right: 0;
  height: 70px;
  z-index: 800;
  background: rgba(255, 255, 255, 0.7);
}

.btn-deptTitle {
  border: none;
  border-left: 1px solid var(--bs-gray);
  /* border-right: 1px solid var(--bs-gray); */
  background-color: rgba(255, 255, 255, 0);
  padding: 0 5px;
}

:root {
  --chart-js-red: rgb(255, 99, 132);
  --chart-js-orange: rgb(255, 159, 64);
  --chart-js-yellow: rgb(255, 205, 86);
  --chart-js-cyan: rgb(75, 192, 192);
  --chart-js-blue: rgb(54, 162, 235);
  --chart-js-purple: rgb(153, 102, 255);
  --chart-js-gray: rgb(201, 203, 207);
  --bs-blue: #0d6efd;
  --bs-indigo: #6610f2;
  --bs-purple: #6f42c1;
  --bs-pink: #d63384;
  --bs-red: #dc3545;
  --bs-orange: #fd7e14;
  --bs-yellow: #ffc107;
  --bs-green: #198754;
  --bs-teal: #20c997;
  --bs-cyan: #0dcaf0;
  --bs-white: #fff;
  --bs-gray: #6c757d;
  --bs-gray-dark: #343a40;
  --bs-gray-100: #f8f9fa;
  --bs-gray-200: #e9ecef;
  --bs-gray-300: #dee2e6;
  --bs-gray-400: #ced4da;
  --bs-gray-500: #adb5bd;
  --bs-gray-600: #6c757d;
  --bs-gray-700: #495057;
  --bs-gray-800: #343a40;
  --bs-gray-900: #212529;
  --bs-primary: #0d6efd;
  --bs-secondary: #6c757d;
  --bs-success: #198754;
  --bs-info: #0dcaf0;
  --bs-warning: #ffc107;
  --bs-danger: #dc3545;
  --bs-light: #f8f9fa;
  --bs-dark: #212529;
  --bs-primary-rgb: 13, 110, 253;
  --bs-secondary-rgb: 108, 117, 125;
  --bs-success-rgb: 25, 135, 84;
  --bs-info-rgb: 13, 202, 240;
  --bs-warning-rgb: 255, 193, 7;
  --bs-danger-rgb: 220, 53, 69;
  --bs-light-rgb: 248, 249, 250;
  --bs-dark-rgb: 33, 37, 41;
  --bs-white-rgb: 255, 255, 255;
  --bs-black-rgb: 0, 0, 0;
  --bs-body-color-rgb: 33, 37, 41;
  --bs-body-bg-rgb: 255, 255, 255;
  --bs-font-sans-serif:
    system-ui, -apple-system, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, 'Noto Sans',
    'Liberation Sans', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol',
    'Noto Color Emoji';
  --bs-font-monospace:
    SFMono-Regular, Menlo, Monaco, Consolas, 'Liberation Mono', 'Courier New', monospace;
  --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
  --bs-body-font-family: var(--bs-font-sans-serif);
  --bs-body-font-size: 1rem;
  --bs-body-font-weight: 400;
  --bs-body-line-height: 1.5;
  --bs-body-color: #212529;
  --bs-body-bg: #fff;
}

:mo {
  --maroon: #800000;
  --darkred: #8b0000;
  --brown: #a52a2a;
  --firebrick: #b22222;
  --crimson: #dc143c;
  --red: #ff0000;
  --mediumvioletred: #c71585;
  --palevioletred: #d87093;
  --deeppink: #ff1493;
  --fuchsia: #ff00ff;
  --hotpink: #ff69b4;
  --pink: #ffc0cb;
  --lightpink: #ffb6c1;
  --mistyrose: #ffe4e1;
  --lavenderblush: #fff0f5;
}
:purple {
  --indigo: #4b0082;
  --purple: #800080;
  --darkmagenta: #8b008b;
  --darkorchid: #9932cc;
  --blueviolet: #8a2be2;
  --darkviolet: #9400d3;
  --slateblue: #6a5acd;
  --mediumpurple: #9370db;
  --mediumslateblue: #7b68ee;
  --mediumorchid: #ba55d3;
  --violet: #ee82ee;
  --plum: #dda0dd;
  --thistle: #d8bfd8;
  --lavender: #e6e6fa;
}
